#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.2.12.1
 Website:        http://www.ucl.ac.uk/~uctpjyy/
 Date:           July 2nd 2008

 Script Function:
	Opens website with help about selected keyword. List with file extensions 
	and corresponding	URLs is defined in HelpFromWeb.ini
	
	Notepad++ run (F5) command:
		HelpFromWeb.exe "$(EXT_PART)" "$(CURRENT_WORD)"

#ce ----------------------------------------------------------------------------

; get extension, $(EXT_PART), and search word, $(CURRENT_WORD), from command line
$extension = StringTrimLeft($CmdLine[1], 1) ; remove leading . from extension; i.e. '.txt' > 'txt'
$searchWord = $CmdLine[2]

; Path to INI file
$ini =  @ScriptDir & "\helpfromweb.ini"

; Read path to webbrowser from INI file
; Use Windows default webbrowser if section is not found in INI file 
$browserpath = IniRead($ini, "WebBrowser", "path", "DEFAULT")

; Obtain URL using the index of the extension
$url = IniRead($ini, "URL", $extension, "DEFAULT")
If ( $url == "DEFAULT" ) Then
	$url = IniRead($ini, "URL", "other", "DEFAULT")
	If ( $url == "DEFAULT" ) Then
		MsgBox(64, "Error", "Missing keyword 'other' under section [URL] in " & $ini)	
		Exit
	EndIf
EndIf


; Replace %s with the search word
; If %s is not found, add search word at the end of the url
$url = StringReplace($url, "%s", $searchWord)
$numReplacements = @extended
If ( $numReplacements == 0 ) Then
	$url = $url & $searchWord
EndIf

; Use default webbrowser, or the one specified in the INI file
If ( $browserpath == "DEFAULT" ) Then
	ShellExecute($url)
Else
	Run($browserpath & " " & $url)
EndIf
